WRITE_ZSREG(9)

NAME
write_zsreg - Write to a Z8530 channel register

SYNOPSIS

void write_zsreg (struct z8530_channel * c, u8 reg, u8 val);

ARGUMENTS

c   The Z8530 channel

reg Register number

val Value to write

DESCRIPTION

Write a value to an indexed register. The caller must hold the lock to honour the irritating delay rules. We know about register 0 being fast to access.

Assumes c->lock is held.

AUTHOR
Alan Cox <alan@redhat.com>.